diff --git a/config/rootfiles/common/python3-setuptools b/config/rootfiles/common/python3-setuptools
index b405aad88..7778cab1c 100644
--- a/config/rootfiles/common/python3-setuptools
+++ b/config/rootfiles/common/python3-setuptools
@@ -24,6 +24,7 @@
 #usr/lib/python3.10/site-packages/pkg_resources/tests/test_pkg_resources.py
 #usr/lib/python3.10/site-packages/pkg_resources/tests/test_resources.py
 #usr/lib/python3.10/site-packages/pkg_resources/tests/test_working_set.py
+#usr/lib/python3.10/site-packages/setuptools
 #usr/lib/python3.10/site-packages/setuptools-80.9.0-py3.10.egg-info
 #usr/lib/python3.10/site-packages/setuptools-80.9.0-py3.10.egg-info/PKG-INFO
 #usr/lib/python3.10/site-packages/setuptools-80.9.0-py3.10.egg-info/SOURCES.txt
@@ -31,10 +32,39 @@
 #usr/lib/python3.10/site-packages/setuptools-80.9.0-py3.10.egg-info/entry_points.txt
 #usr/lib/python3.10/site-packages/setuptools-80.9.0-py3.10.egg-info/requires.txt
 #usr/lib/python3.10/site-packages/setuptools-80.9.0-py3.10.egg-info/top_level.txt
+#usr/lib/python3.10/site-packages/setuptools/__init__.py
 #usr/lib/python3.10/site-packages/setuptools/_core_metadata.py
 #usr/lib/python3.10/site-packages/setuptools/_discovery.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils
+#usr/lib/python3.10/site-packages/setuptools/_distutils/__init__.py
 #usr/lib/python3.10/site-packages/setuptools/_distutils/_log.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/_macos_compat.py
 #usr/lib/python3.10/site-packages/setuptools/_distutils/_modified.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/_msvccompiler.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/archive_util.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/ccompiler.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/cmd.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/command
+#usr/lib/python3.10/site-packages/setuptools/_distutils/command/__init__.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/command/_framework_compat.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/command/bdist.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/command/bdist_dumb.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/command/bdist_rpm.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/command/build.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/command/build_clib.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/command/build_ext.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/command/build_py.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/command/build_scripts.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/command/check.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/command/clean.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/command/config.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/command/install.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/command/install_data.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/command/install_egg_info.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/command/install_headers.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/command/install_lib.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/command/install_scripts.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/command/sdist.py
 #usr/lib/python3.10/site-packages/setuptools/_distutils/compat
 #usr/lib/python3.10/site-packages/setuptools/_distutils/compat/__init__.py
 #usr/lib/python3.10/site-packages/setuptools/_distutils/compat/numpy.py
@@ -53,6 +83,20 @@
 #usr/lib/python3.10/site-packages/setuptools/_distutils/compilers/C/tests/test_unix.py
 #usr/lib/python3.10/site-packages/setuptools/_distutils/compilers/C/unix.py
 #usr/lib/python3.10/site-packages/setuptools/_distutils/compilers/C/zos.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/core.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/cygwinccompiler.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/debug.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/dep_util.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/dir_util.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/dist.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/errors.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/extension.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/fancy_getopt.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/file_util.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/filelist.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/log.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/spawn.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/sysconfig.py
 #usr/lib/python3.10/site-packages/setuptools/_distutils/tests
 #usr/lib/python3.10/site-packages/setuptools/_distutils/tests/__init__.py
 #usr/lib/python3.10/site-packages/setuptools/_distutils/tests/compat
@@ -93,11 +137,23 @@
 #usr/lib/python3.10/site-packages/setuptools/_distutils/tests/test_version.py
 #usr/lib/python3.10/site-packages/setuptools/_distutils/tests/test_versionpredicate.py
 #usr/lib/python3.10/site-packages/setuptools/_distutils/tests/unix_compat.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/text_file.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/unixccompiler.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/util.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/version.py
+#usr/lib/python3.10/site-packages/setuptools/_distutils/versionpredicate.py
 #usr/lib/python3.10/site-packages/setuptools/_distutils/zosccompiler.py
+#usr/lib/python3.10/site-packages/setuptools/_entry_points.py
+#usr/lib/python3.10/site-packages/setuptools/_imp.py
+#usr/lib/python3.10/site-packages/setuptools/_importlib.py
+#usr/lib/python3.10/site-packages/setuptools/_itertools.py
 #usr/lib/python3.10/site-packages/setuptools/_normalization.py
+#usr/lib/python3.10/site-packages/setuptools/_path.py
+#usr/lib/python3.10/site-packages/setuptools/_reqs.py
 #usr/lib/python3.10/site-packages/setuptools/_scripts.py
 #usr/lib/python3.10/site-packages/setuptools/_shutil.py
 #usr/lib/python3.10/site-packages/setuptools/_static.py
+#usr/lib/python3.10/site-packages/setuptools/_vendor
 #usr/lib/python3.10/site-packages/setuptools/_vendor/autocommand
 #usr/lib/python3.10/site-packages/setuptools/_vendor/autocommand-2.2.2.dist-info
 #usr/lib/python3.10/site-packages/setuptools/_vendor/autocommand-2.2.2.dist-info/INSTALLER
@@ -128,6 +184,7 @@
 #usr/lib/python3.10/site-packages/setuptools/_vendor/backports/tarfile/compat
 #usr/lib/python3.10/site-packages/setuptools/_vendor/backports/tarfile/compat/__init__.py
 #usr/lib/python3.10/site-packages/setuptools/_vendor/backports/tarfile/compat/py38.py
+#usr/lib/python3.10/site-packages/setuptools/_vendor/importlib_metadata
 #usr/lib/python3.10/site-packages/setuptools/_vendor/importlib_metadata-8.0.0.dist-info
 #usr/lib/python3.10/site-packages/setuptools/_vendor/importlib_metadata-8.0.0.dist-info/INSTALLER
 #usr/lib/python3.10/site-packages/setuptools/_vendor/importlib_metadata-8.0.0.dist-info/LICENSE
@@ -136,6 +193,14 @@
 #usr/lib/python3.10/site-packages/setuptools/_vendor/importlib_metadata-8.0.0.dist-info/REQUESTED
 #usr/lib/python3.10/site-packages/setuptools/_vendor/importlib_metadata-8.0.0.dist-info/WHEEL
 #usr/lib/python3.10/site-packages/setuptools/_vendor/importlib_metadata-8.0.0.dist-info/top_level.txt
+#usr/lib/python3.10/site-packages/setuptools/_vendor/importlib_metadata/__init__.py
+#usr/lib/python3.10/site-packages/setuptools/_vendor/importlib_metadata/_adapters.py
+#usr/lib/python3.10/site-packages/setuptools/_vendor/importlib_metadata/_collections.py
+#usr/lib/python3.10/site-packages/setuptools/_vendor/importlib_metadata/_compat.py
+#usr/lib/python3.10/site-packages/setuptools/_vendor/importlib_metadata/_functools.py
+#usr/lib/python3.10/site-packages/setuptools/_vendor/importlib_metadata/_itertools.py
+#usr/lib/python3.10/site-packages/setuptools/_vendor/importlib_metadata/_meta.py
+#usr/lib/python3.10/site-packages/setuptools/_vendor/importlib_metadata/_text.py
 #usr/lib/python3.10/site-packages/setuptools/_vendor/importlib_metadata/compat
 #usr/lib/python3.10/site-packages/setuptools/_vendor/importlib_metadata/compat/__init__.py
 #usr/lib/python3.10/site-packages/setuptools/_vendor/importlib_metadata/compat/py311.py
@@ -155,6 +220,7 @@
 #usr/lib/python3.10/site-packages/setuptools/_vendor/inflect/compat/__init__.py
 #usr/lib/python3.10/site-packages/setuptools/_vendor/inflect/compat/py38.py
 #usr/lib/python3.10/site-packages/setuptools/_vendor/inflect/py.typed
+#usr/lib/python3.10/site-packages/setuptools/_vendor/jaraco
 #usr/lib/python3.10/site-packages/setuptools/_vendor/jaraco.collections-5.1.0.dist-info
 #usr/lib/python3.10/site-packages/setuptools/_vendor/jaraco.collections-5.1.0.dist-info/INSTALLER
 #usr/lib/python3.10/site-packages/setuptools/_vendor/jaraco.collections-5.1.0.dist-info/LICENSE
@@ -188,16 +254,20 @@
 #usr/lib/python3.10/site-packages/setuptools/_vendor/jaraco/collections
 #usr/lib/python3.10/site-packages/setuptools/_vendor/jaraco/collections/__init__.py
 #usr/lib/python3.10/site-packages/setuptools/_vendor/jaraco/collections/py.typed
+#usr/lib/python3.10/site-packages/setuptools/_vendor/jaraco/context.py
 #usr/lib/python3.10/site-packages/setuptools/_vendor/jaraco/functools
 #usr/lib/python3.10/site-packages/setuptools/_vendor/jaraco/functools/__init__.py
 #usr/lib/python3.10/site-packages/setuptools/_vendor/jaraco/functools/__init__.pyi
 #usr/lib/python3.10/site-packages/setuptools/_vendor/jaraco/functools/py.typed
+#usr/lib/python3.10/site-packages/setuptools/_vendor/jaraco/text
 #usr/lib/python3.10/site-packages/setuptools/_vendor/jaraco/text/Lorem ipsum.txt
+#usr/lib/python3.10/site-packages/setuptools/_vendor/jaraco/text/__init__.py
 #usr/lib/python3.10/site-packages/setuptools/_vendor/jaraco/text/layouts.py
 #usr/lib/python3.10/site-packages/setuptools/_vendor/jaraco/text/show-newlines.py
 #usr/lib/python3.10/site-packages/setuptools/_vendor/jaraco/text/strip-prefix.py
 #usr/lib/python3.10/site-packages/setuptools/_vendor/jaraco/text/to-dvorak.py
 #usr/lib/python3.10/site-packages/setuptools/_vendor/jaraco/text/to-qwerty.py
+#usr/lib/python3.10/site-packages/setuptools/_vendor/more_itertools
 #usr/lib/python3.10/site-packages/setuptools/_vendor/more_itertools-10.3.0.dist-info
 #usr/lib/python3.10/site-packages/setuptools/_vendor/more_itertools-10.3.0.dist-info/INSTALLER
 #usr/lib/python3.10/site-packages/setuptools/_vendor/more_itertools-10.3.0.dist-info/LICENSE
@@ -205,10 +275,14 @@
 #usr/lib/python3.10/site-packages/setuptools/_vendor/more_itertools-10.3.0.dist-info/RECORD
 #usr/lib/python3.10/site-packages/setuptools/_vendor/more_itertools-10.3.0.dist-info/REQUESTED
 #usr/lib/python3.10/site-packages/setuptools/_vendor/more_itertools-10.3.0.dist-info/WHEEL
+#usr/lib/python3.10/site-packages/setuptools/_vendor/more_itertools/__init__.py
 #usr/lib/python3.10/site-packages/setuptools/_vendor/more_itertools/__init__.pyi
+#usr/lib/python3.10/site-packages/setuptools/_vendor/more_itertools/more.py
 #usr/lib/python3.10/site-packages/setuptools/_vendor/more_itertools/more.pyi
 #usr/lib/python3.10/site-packages/setuptools/_vendor/more_itertools/py.typed
+#usr/lib/python3.10/site-packages/setuptools/_vendor/more_itertools/recipes.py
 #usr/lib/python3.10/site-packages/setuptools/_vendor/more_itertools/recipes.pyi
+#usr/lib/python3.10/site-packages/setuptools/_vendor/packaging
 #usr/lib/python3.10/site-packages/setuptools/_vendor/packaging-24.2.dist-info
 #usr/lib/python3.10/site-packages/setuptools/_vendor/packaging-24.2.dist-info/INSTALLER
 #usr/lib/python3.10/site-packages/setuptools/_vendor/packaging-24.2.dist-info/LICENSE
@@ -218,14 +292,24 @@
 #usr/lib/python3.10/site-packages/setuptools/_vendor/packaging-24.2.dist-info/RECORD
 #usr/lib/python3.10/site-packages/setuptools/_vendor/packaging-24.2.dist-info/REQUESTED
 #usr/lib/python3.10/site-packages/setuptools/_vendor/packaging-24.2.dist-info/WHEEL
+#usr/lib/python3.10/site-packages/setuptools/_vendor/packaging/__init__.py
 #usr/lib/python3.10/site-packages/setuptools/_vendor/packaging/_elffile.py
+#usr/lib/python3.10/site-packages/setuptools/_vendor/packaging/_manylinux.py
+#usr/lib/python3.10/site-packages/setuptools/_vendor/packaging/_musllinux.py
 #usr/lib/python3.10/site-packages/setuptools/_vendor/packaging/_parser.py
+#usr/lib/python3.10/site-packages/setuptools/_vendor/packaging/_structures.py
 #usr/lib/python3.10/site-packages/setuptools/_vendor/packaging/_tokenizer.py
 #usr/lib/python3.10/site-packages/setuptools/_vendor/packaging/licenses
 #usr/lib/python3.10/site-packages/setuptools/_vendor/packaging/licenses/__init__.py
 #usr/lib/python3.10/site-packages/setuptools/_vendor/packaging/licenses/_spdx.py
+#usr/lib/python3.10/site-packages/setuptools/_vendor/packaging/markers.py
 #usr/lib/python3.10/site-packages/setuptools/_vendor/packaging/metadata.py
 #usr/lib/python3.10/site-packages/setuptools/_vendor/packaging/py.typed
+#usr/lib/python3.10/site-packages/setuptools/_vendor/packaging/requirements.py
+#usr/lib/python3.10/site-packages/setuptools/_vendor/packaging/specifiers.py
+#usr/lib/python3.10/site-packages/setuptools/_vendor/packaging/tags.py
+#usr/lib/python3.10/site-packages/setuptools/_vendor/packaging/utils.py
+#usr/lib/python3.10/site-packages/setuptools/_vendor/packaging/version.py
 #usr/lib/python3.10/site-packages/setuptools/_vendor/platformdirs
 #usr/lib/python3.10/site-packages/setuptools/_vendor/platformdirs-4.2.2.dist-info
 #usr/lib/python3.10/site-packages/setuptools/_vendor/platformdirs-4.2.2.dist-info/INSTALLER
@@ -244,6 +328,7 @@
 #usr/lib/python3.10/site-packages/setuptools/_vendor/platformdirs/unix.py
 #usr/lib/python3.10/site-packages/setuptools/_vendor/platformdirs/version.py
 #usr/lib/python3.10/site-packages/setuptools/_vendor/platformdirs/windows.py
+#usr/lib/python3.10/site-packages/setuptools/_vendor/tomli
 #usr/lib/python3.10/site-packages/setuptools/_vendor/tomli-2.0.1.dist-info
 #usr/lib/python3.10/site-packages/setuptools/_vendor/tomli-2.0.1.dist-info/INSTALLER
 #usr/lib/python3.10/site-packages/setuptools/_vendor/tomli-2.0.1.dist-info/LICENSE
@@ -251,6 +336,10 @@
 #usr/lib/python3.10/site-packages/setuptools/_vendor/tomli-2.0.1.dist-info/RECORD
 #usr/lib/python3.10/site-packages/setuptools/_vendor/tomli-2.0.1.dist-info/REQUESTED
 #usr/lib/python3.10/site-packages/setuptools/_vendor/tomli-2.0.1.dist-info/WHEEL
+#usr/lib/python3.10/site-packages/setuptools/_vendor/tomli/__init__.py
+#usr/lib/python3.10/site-packages/setuptools/_vendor/tomli/_parser.py
+#usr/lib/python3.10/site-packages/setuptools/_vendor/tomli/_re.py
+#usr/lib/python3.10/site-packages/setuptools/_vendor/tomli/_types.py
 #usr/lib/python3.10/site-packages/setuptools/_vendor/tomli/py.typed
 #usr/lib/python3.10/site-packages/setuptools/_vendor/typeguard
 #usr/lib/python3.10/site-packages/setuptools/_vendor/typeguard-4.3.0.dist-info
@@ -281,6 +370,7 @@
 #usr/lib/python3.10/site-packages/setuptools/_vendor/typing_extensions-4.12.2.dist-info/METADATA
 #usr/lib/python3.10/site-packages/setuptools/_vendor/typing_extensions-4.12.2.dist-info/RECORD
 #usr/lib/python3.10/site-packages/setuptools/_vendor/typing_extensions-4.12.2.dist-info/WHEEL
+#usr/lib/python3.10/site-packages/setuptools/_vendor/typing_extensions.py
 #usr/lib/python3.10/site-packages/setuptools/_vendor/wheel
 #usr/lib/python3.10/site-packages/setuptools/_vendor/wheel-0.45.1.dist-info
 #usr/lib/python3.10/site-packages/setuptools/_vendor/wheel-0.45.1.dist-info/INSTALLER
@@ -339,20 +429,80 @@
 #usr/lib/python3.10/site-packages/setuptools/_vendor/zipp/compat/__init__.py
 #usr/lib/python3.10/site-packages/setuptools/_vendor/zipp/compat/py310.py
 #usr/lib/python3.10/site-packages/setuptools/_vendor/zipp/glob.py
+#usr/lib/python3.10/site-packages/setuptools/archive_util.py
+#usr/lib/python3.10/site-packages/setuptools/build_meta.py
+#usr/lib/python3.10/site-packages/setuptools/cli-32.exe
+#usr/lib/python3.10/site-packages/setuptools/cli-64.exe
+#usr/lib/python3.10/site-packages/setuptools/cli-arm64.exe
+#usr/lib/python3.10/site-packages/setuptools/cli.exe
+#usr/lib/python3.10/site-packages/setuptools/command
+#usr/lib/python3.10/site-packages/setuptools/command/__init__.py
 #usr/lib/python3.10/site-packages/setuptools/command/_requirestxt.py
+#usr/lib/python3.10/site-packages/setuptools/command/alias.py
+#usr/lib/python3.10/site-packages/setuptools/command/bdist_egg.py
+#usr/lib/python3.10/site-packages/setuptools/command/bdist_rpm.py
 #usr/lib/python3.10/site-packages/setuptools/command/bdist_wheel.py
+#usr/lib/python3.10/site-packages/setuptools/command/build.py
+#usr/lib/python3.10/site-packages/setuptools/command/build_clib.py
+#usr/lib/python3.10/site-packages/setuptools/command/build_ext.py
+#usr/lib/python3.10/site-packages/setuptools/command/build_py.py
+#usr/lib/python3.10/site-packages/setuptools/command/develop.py
+#usr/lib/python3.10/site-packages/setuptools/command/dist_info.py
+#usr/lib/python3.10/site-packages/setuptools/command/easy_install.py
 #usr/lib/python3.10/site-packages/setuptools/command/editable_wheel.py
+#usr/lib/python3.10/site-packages/setuptools/command/egg_info.py
+#usr/lib/python3.10/site-packages/setuptools/command/install.py
+#usr/lib/python3.10/site-packages/setuptools/command/install_egg_info.py
+#usr/lib/python3.10/site-packages/setuptools/command/install_lib.py
+#usr/lib/python3.10/site-packages/setuptools/command/install_scripts.py
+#usr/lib/python3.10/site-packages/setuptools/command/launcher manifest.xml
+#usr/lib/python3.10/site-packages/setuptools/command/rotate.py
+#usr/lib/python3.10/site-packages/setuptools/command/saveopts.py
+#usr/lib/python3.10/site-packages/setuptools/command/sdist.py
+#usr/lib/python3.10/site-packages/setuptools/command/setopt.py
+#usr/lib/python3.10/site-packages/setuptools/command/test.py
 #usr/lib/python3.10/site-packages/setuptools/compat
 #usr/lib/python3.10/site-packages/setuptools/compat/__init__.py
 #usr/lib/python3.10/site-packages/setuptools/compat/py310.py
 #usr/lib/python3.10/site-packages/setuptools/compat/py311.py
 #usr/lib/python3.10/site-packages/setuptools/compat/py312.py
 #usr/lib/python3.10/site-packages/setuptools/compat/py39.py
+#usr/lib/python3.10/site-packages/setuptools/config
 #usr/lib/python3.10/site-packages/setuptools/config/NOTICE
+#usr/lib/python3.10/site-packages/setuptools/config/__init__.py
+#usr/lib/python3.10/site-packages/setuptools/config/_apply_pyprojecttoml.py
+#usr/lib/python3.10/site-packages/setuptools/config/_validate_pyproject
 #usr/lib/python3.10/site-packages/setuptools/config/_validate_pyproject/NOTICE
+#usr/lib/python3.10/site-packages/setuptools/config/_validate_pyproject/__init__.py
+#usr/lib/python3.10/site-packages/setuptools/config/_validate_pyproject/error_reporting.py
+#usr/lib/python3.10/site-packages/setuptools/config/_validate_pyproject/extra_validations.py
+#usr/lib/python3.10/site-packages/setuptools/config/_validate_pyproject/fastjsonschema_exceptions.py
+#usr/lib/python3.10/site-packages/setuptools/config/_validate_pyproject/fastjsonschema_validations.py
+#usr/lib/python3.10/site-packages/setuptools/config/_validate_pyproject/formats.py
 #usr/lib/python3.10/site-packages/setuptools/config/distutils.schema.json
+#usr/lib/python3.10/site-packages/setuptools/config/expand.py
+#usr/lib/python3.10/site-packages/setuptools/config/pyprojecttoml.py
+#usr/lib/python3.10/site-packages/setuptools/config/setupcfg.py
 #usr/lib/python3.10/site-packages/setuptools/config/setuptools.schema.json
+#usr/lib/python3.10/site-packages/setuptools/depends.py
+#usr/lib/python3.10/site-packages/setuptools/discovery.py
+#usr/lib/python3.10/site-packages/setuptools/dist.py
+#usr/lib/python3.10/site-packages/setuptools/errors.py
+#usr/lib/python3.10/site-packages/setuptools/extension.py
+#usr/lib/python3.10/site-packages/setuptools/glob.py
+#usr/lib/python3.10/site-packages/setuptools/gui-32.exe
+#usr/lib/python3.10/site-packages/setuptools/gui-64.exe
+#usr/lib/python3.10/site-packages/setuptools/gui-arm64.exe
+#usr/lib/python3.10/site-packages/setuptools/gui.exe
+#usr/lib/python3.10/site-packages/setuptools/installer.py
+#usr/lib/python3.10/site-packages/setuptools/launch.py
+#usr/lib/python3.10/site-packages/setuptools/logging.py
 #usr/lib/python3.10/site-packages/setuptools/modified.py
+#usr/lib/python3.10/site-packages/setuptools/monkey.py
+#usr/lib/python3.10/site-packages/setuptools/msvc.py
+#usr/lib/python3.10/site-packages/setuptools/namespaces.py
+#usr/lib/python3.10/site-packages/setuptools/script (dev).tmpl
+#usr/lib/python3.10/site-packages/setuptools/script.tmpl
 #usr/lib/python3.10/site-packages/setuptools/tests
 #usr/lib/python3.10/site-packages/setuptools/tests/__init__.py
 #usr/lib/python3.10/site-packages/setuptools/tests/compat
@@ -424,4 +574,8 @@
 #usr/lib/python3.10/site-packages/setuptools/tests/test_windows_wrappers.py
 #usr/lib/python3.10/site-packages/setuptools/tests/text.py
 #usr/lib/python3.10/site-packages/setuptools/tests/textwrap.py
+#usr/lib/python3.10/site-packages/setuptools/unicode_utils.py
+#usr/lib/python3.10/site-packages/setuptools/version.py
 #usr/lib/python3.10/site-packages/setuptools/warnings.py
+#usr/lib/python3.10/site-packages/setuptools/wheel.py
+#usr/lib/python3.10/site-packages/setuptools/windows_support.py