diff --git a/config/rootfiles/common/glib b/config/rootfiles/common/glib
index 1f69122e0..debb0176d 100644
--- a/config/rootfiles/common/glib
+++ b/config/rootfiles/common/glib
@@ -337,22 +337,22 @@ usr/include/glib-2.0/gio/gdebugcontroller.h
 #usr/lib/glib-2.0/include/glibconfig.h
 #usr/lib/libgio-2.0.so
 usr/lib/libgio-2.0.so.0
-usr/lib/libgio-2.0.so.0.8300.0
+usr/lib/libgio-2.0.so.0.8600.0
 #usr/lib/libgirepository-2.0.so
 usr/lib/libgirepository-2.0.so.0
-usr/lib/libgirepository-2.0.so.0.8300.0
+usr/lib/libgirepository-2.0.so.0.8600.0
 #usr/lib/libglib-2.0.so
 usr/lib/libglib-2.0.so.0
-usr/lib/libglib-2.0.so.0.8300.0
+usr/lib/libglib-2.0.so.0.8600.0
 #usr/lib/libgmodule-2.0.so
 usr/lib/libgmodule-2.0.so.0
-usr/lib/libgmodule-2.0.so.0.8300.0
+usr/lib/libgmodule-2.0.so.0.8600.0
 #usr/lib/libgobject-2.0.so
 usr/lib/libgobject-2.0.so.0
-usr/lib/libgobject-2.0.so.0.8300.0
+usr/lib/libgobject-2.0.so.0.8600.0
 #usr/lib/libgthread-2.0.so
 usr/lib/libgthread-2.0.so.0
-usr/lib/libgthread-2.0.so.0.8300.0
+usr/lib/libgthread-2.0.so.0.8600.0
 #usr/lib/pkgconfig/gio-2.0.pc
 #usr/lib/pkgconfig/gio-unix-2.0.pc
 #usr/lib/pkgconfig/girepository-2.0.pc
@@ -375,8 +375,8 @@ usr/lib/libgthread-2.0.so.0.8300.0
 #usr/share/gdb/auto-load
 #usr/share/gdb/auto-load/usr
 #usr/share/gdb/auto-load/usr/lib
-#usr/share/gdb/auto-load/usr/lib/libglib-2.0.so.0.8300.0-gdb.py
-#usr/share/gdb/auto-load/usr/lib/libgobject-2.0.so.0.8300.0-gdb.py
+#usr/share/gdb/auto-load/usr/lib/libglib-2.0.so.0.8600.0-gdb.py
+#usr/share/gdb/auto-load/usr/lib/libgobject-2.0.so.0.8600.0-gdb.py
 #usr/share/gettext/its
 #usr/share/gettext/its/gschema.its
 #usr/share/gettext/its/gschema.loc
@@ -408,43 +408,27 @@ usr/lib/libgthread-2.0.so.0.8300.0
 #usr/share/locale/ab/LC_MESSAGES
 #usr/share/locale/ab/LC_MESSAGES/glib20.mo
 #usr/share/locale/af/LC_MESSAGES/glib20.mo
-#usr/share/locale/am
-#usr/share/locale/am/LC_MESSAGES
 #usr/share/locale/am/LC_MESSAGES/glib20.mo
 #usr/share/locale/an
 #usr/share/locale/an/LC_MESSAGES
 #usr/share/locale/an/LC_MESSAGES/glib20.mo
-#usr/share/locale/ar
-#usr/share/locale/ar/LC_MESSAGES
 #usr/share/locale/ar/LC_MESSAGES/glib20.mo
-#usr/share/locale/as
-#usr/share/locale/as/LC_MESSAGES
 #usr/share/locale/as/LC_MESSAGES/glib20.mo
 #usr/share/locale/ast/LC_MESSAGES/glib20.mo
-#usr/share/locale/az
-#usr/share/locale/az/LC_MESSAGES
 #usr/share/locale/az/LC_MESSAGES/glib20.mo
 #usr/share/locale/be/LC_MESSAGES/glib20.mo
 #usr/share/locale/be@latin
 #usr/share/locale/be@latin/LC_MESSAGES
 #usr/share/locale/be@latin/LC_MESSAGES/glib20.mo
 #usr/share/locale/bg/LC_MESSAGES/glib20.mo
-#usr/share/locale/bn
-#usr/share/locale/bn/LC_MESSAGES
 #usr/share/locale/bn/LC_MESSAGES/glib20.mo
-#usr/share/locale/bn_IN
-#usr/share/locale/bn_IN/LC_MESSAGES
 #usr/share/locale/bn_IN/LC_MESSAGES/glib20.mo
-#usr/share/locale/bs
-#usr/share/locale/bs/LC_MESSAGES
 #usr/share/locale/bs/LC_MESSAGES/glib20.mo
 #usr/share/locale/ca/LC_MESSAGES/glib20.mo
 #usr/share/locale/ca@valencia
 #usr/share/locale/ca@valencia/LC_MESSAGES
 #usr/share/locale/ca@valencia/LC_MESSAGES/glib20.mo
 #usr/share/locale/cs/LC_MESSAGES/glib20.mo
-#usr/share/locale/cy
-#usr/share/locale/cy/LC_MESSAGES
 #usr/share/locale/cy/LC_MESSAGES/glib20.mo
 #usr/share/locale/da/LC_MESSAGES/glib20.mo
 #usr/share/locale/de/LC_MESSAGES/glib20.mo
@@ -463,8 +447,6 @@ usr/lib/libgthread-2.0.so.0.8300.0
 #usr/share/locale/es/LC_MESSAGES/glib20.mo
 #usr/share/locale/et/LC_MESSAGES/glib20.mo
 #usr/share/locale/eu/LC_MESSAGES/glib20.mo
-#usr/share/locale/fa
-#usr/share/locale/fa/LC_MESSAGES
 #usr/share/locale/fa/LC_MESSAGES/glib20.mo
 #usr/share/locale/fi/LC_MESSAGES/glib20.mo
 #usr/share/locale/fr/LC_MESSAGES/glib20.mo
@@ -476,14 +458,8 @@ usr/lib/libgthread-2.0.so.0.8300.0
 #usr/share/locale/gd/LC_MESSAGES
 #usr/share/locale/gd/LC_MESSAGES/glib20.mo
 #usr/share/locale/gl/LC_MESSAGES/glib20.mo
-#usr/share/locale/gu
-#usr/share/locale/gu/LC_MESSAGES
 #usr/share/locale/gu/LC_MESSAGES/glib20.mo
-#usr/share/locale/he
-#usr/share/locale/he/LC_MESSAGES
 #usr/share/locale/he/LC_MESSAGES/glib20.mo
-#usr/share/locale/hi
-#usr/share/locale/hi/LC_MESSAGES
 #usr/share/locale/hi/LC_MESSAGES/glib20.mo
 #usr/share/locale/hr/LC_MESSAGES/glib20.mo
 #usr/share/locale/hu/LC_MESSAGES/glib20.mo
@@ -494,8 +470,6 @@ usr/lib/libgthread-2.0.so.0.8300.0
 #usr/share/locale/ie
 #usr/share/locale/ie/LC_MESSAGES
 #usr/share/locale/ie/LC_MESSAGES/glib20.mo
-#usr/share/locale/is
-#usr/share/locale/is/LC_MESSAGES
 #usr/share/locale/is/LC_MESSAGES/glib20.mo
 #usr/share/locale/it/LC_MESSAGES/glib20.mo
 #usr/share/locale/ja/LC_MESSAGES/glib20.mo
@@ -504,8 +478,6 @@ usr/lib/libgthread-2.0.so.0.8300.0
 #usr/share/locale/kab/LC_MESSAGES
 #usr/share/locale/kab/LC_MESSAGES/glib20.mo
 #usr/share/locale/kk/LC_MESSAGES/glib20.mo
-#usr/share/locale/kn
-#usr/share/locale/kn/LC_MESSAGES
 #usr/share/locale/kn/LC_MESSAGES/glib20.mo
 #usr/share/locale/ko/LC_MESSAGES/glib20.mo
 #usr/share/locale/ku
@@ -519,38 +491,22 @@ usr/lib/libgthread-2.0.so.0.8300.0
 #usr/share/locale/mg
 #usr/share/locale/mg/LC_MESSAGES
 #usr/share/locale/mg/LC_MESSAGES/glib20.mo
-#usr/share/locale/mk
-#usr/share/locale/mk/LC_MESSAGES
 #usr/share/locale/mk/LC_MESSAGES/glib20.mo
-#usr/share/locale/ml
-#usr/share/locale/ml/LC_MESSAGES
 #usr/share/locale/ml/LC_MESSAGES/glib20.mo
-#usr/share/locale/mn
-#usr/share/locale/mn/LC_MESSAGES
 #usr/share/locale/mn/LC_MESSAGES/glib20.mo
-#usr/share/locale/mr
-#usr/share/locale/mr/LC_MESSAGES
 #usr/share/locale/mr/LC_MESSAGES/glib20.mo
 #usr/share/locale/ms/LC_MESSAGES/glib20.mo
 #usr/share/locale/nb/LC_MESSAGES/glib20.mo
 #usr/share/locale/nds
 #usr/share/locale/nds/LC_MESSAGES
 #usr/share/locale/nds/LC_MESSAGES/glib20.mo
-#usr/share/locale/ne
-#usr/share/locale/ne/LC_MESSAGES
 #usr/share/locale/ne/LC_MESSAGES/glib20.mo
 #usr/share/locale/nl/LC_MESSAGES/glib20.mo
-#usr/share/locale/nn
-#usr/share/locale/nn/LC_MESSAGES
 #usr/share/locale/nn/LC_MESSAGES/glib20.mo
 #usr/share/locale/oc
 #usr/share/locale/oc/LC_MESSAGES
 #usr/share/locale/oc/LC_MESSAGES/glib20.mo
-#usr/share/locale/or
-#usr/share/locale/or/LC_MESSAGES
 #usr/share/locale/or/LC_MESSAGES/glib20.mo
-#usr/share/locale/pa
-#usr/share/locale/pa/LC_MESSAGES
 #usr/share/locale/pa/LC_MESSAGES/glib20.mo
 #usr/share/locale/pl/LC_MESSAGES/glib20.mo
 #usr/share/locale/ps
@@ -561,8 +517,6 @@ usr/lib/libgthread-2.0.so.0.8300.0
 #usr/share/locale/ro/LC_MESSAGES/glib20.mo
 #usr/share/locale/ru/LC_MESSAGES/glib20.mo
 #usr/share/locale/rw/LC_MESSAGES/glib20.mo
-#usr/share/locale/si
-#usr/share/locale/si/LC_MESSAGES
 #usr/share/locale/si/LC_MESSAGES/glib20.mo
 #usr/share/locale/sk/LC_MESSAGES/glib20.mo
 #usr/share/locale/sl/LC_MESSAGES/glib20.mo
@@ -571,16 +525,10 @@ usr/lib/libgthread-2.0.so.0.8300.0
 #usr/share/locale/sr@ije
 #usr/share/locale/sr@ije/LC_MESSAGES
 #usr/share/locale/sr@ije/LC_MESSAGES/glib20.mo
-#usr/share/locale/sr@latin
-#usr/share/locale/sr@latin/LC_MESSAGES
 #usr/share/locale/sr@latin/LC_MESSAGES/glib20.mo
 #usr/share/locale/sv/LC_MESSAGES/glib20.mo
 #usr/share/locale/ta/LC_MESSAGES/glib20.mo
-#usr/share/locale/te
-#usr/share/locale/te/LC_MESSAGES
 #usr/share/locale/te/LC_MESSAGES/glib20.mo
-#usr/share/locale/tg
-#usr/share/locale/tg/LC_MESSAGES
 #usr/share/locale/tg/LC_MESSAGES/glib20.mo
 #usr/share/locale/th/LC_MESSAGES/glib20.mo
 #usr/share/locale/tl
@@ -605,7 +553,5 @@ usr/lib/libgthread-2.0.so.0.8300.0
 #usr/share/locale/yi/LC_MESSAGES
 #usr/share/locale/yi/LC_MESSAGES/glib20.mo
 #usr/share/locale/zh_CN/LC_MESSAGES/glib20.mo
-#usr/share/locale/zh_HK
-#usr/share/locale/zh_HK/LC_MESSAGES
 #usr/share/locale/zh_HK/LC_MESSAGES/glib20.mo
 #usr/share/locale/zh_TW/LC_MESSAGES/glib20.mo
diff --git a/lfs/glib b/lfs/glib
index 34bcdad1c..6f5ea4241 100644
--- a/lfs/glib
+++ b/lfs/glib
@@ -1,7 +1,7 @@
 ###############################################################################
 #                                                                             #
 # IPFire.org - A linux based firewall                                         #
-# Copyright (C) 2007-2024  IPFire Team  <info@ipfire.org>                     #
+# Copyright (C) 2007-2025  IPFire Team  <info@ipfire.org>                     #
 #                                                                             #
 # This program is free software: you can redistribute it and/or modify        #
 # it under the terms of the GNU General Public License as published by        #
@@ -24,7 +24,8 @@
 
 include Config
 
-VER        = 2.83.0
+VER        = 2.86.0
+#          https://download.gnome.org/sources/glib/
 
 THISAPP    = glib-$(VER)
 DL_FILE    = $(THISAPP).tar.xz
@@ -40,7 +41,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_BLAKE2 = 80e784c8d5bb790afbdaafdfcd321aeb87bd5607251e8fca80119e5114cc4fa48eafb0589cea52977221b96036002c810ff6948cfff7148537c81521c1a01856
+$(DL_FILE)_BLAKE2 = 089fa2d34dacb360943cb18ce95ad880769300540e9f8ce56045cd19d0285526b8058fa79f9f0fede1ae6b4a6d9a73f3aa0f0e0ebfa18e728dbadbee3bd30d0a
 
 install : $(TARGET)
 
@@ -71,8 +72,9 @@ $(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
 	@$(PREBUILD)
 	@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar axf $(DIR_DL)/$(DL_FILE)
 	$(UPDATE_AUTOMAKE)
-	cd $(DIR_APP) && meson	--prefix=/usr 		\
-				--sysconfdir=/etc	\
+	cd $(DIR_APP) && meson setup \
+				--prefix=/usr \
+				--sysconfdir=/etc \
 				builddir/
 	cd $(DIR_APP) && ninja -C builddir/ $(MAKETUNING)
 	cd $(DIR_APP) && ninja -C builddir/ install