diff --git a/config/rootfiles/packages/tshark b/config/rootfiles/packages/tshark
index 1778ebb0b..db7399cb8 100644
--- a/config/rootfiles/packages/tshark
+++ b/config/rootfiles/packages/tshark
@@ -2,7 +2,6 @@
 #usr/bin/captype
 usr/bin/dumpcap
 #usr/bin/editcap
-#usr/bin/idl2wrs
 #usr/bin/mergecap
 #usr/bin/randpkt
 #usr/bin/rawshark
@@ -11,48 +10,51 @@ usr/bin/dumpcap
 #usr/bin/text2pcap
 usr/bin/tshark
 #usr/lib/libwireshark.so
-usr/lib/libwireshark.so.18
-usr/lib/libwireshark.so.18.0.9
+usr/lib/libwireshark.so.19
+usr/lib/libwireshark.so.19.0.0
 #usr/lib/libwiretap.so
-usr/lib/libwiretap.so.15
-usr/lib/libwiretap.so.15.0.9
+usr/lib/libwiretap.so.16
+usr/lib/libwiretap.so.16.0.0
 #usr/lib/libwsutil.so
-usr/lib/libwsutil.so.16
-usr/lib/libwsutil.so.16.0.0
+usr/lib/libwsutil.so.17
+usr/lib/libwsutil.so.17.0.0
 #usr/lib/wireshark
-#usr/lib/wireshark/extcap
-usr/lib/wireshark/extcap/androiddump
-usr/lib/wireshark/extcap/ciscodump
-usr/lib/wireshark/extcap/dpauxmon
-usr/lib/wireshark/extcap/randpktdump
-usr/lib/wireshark/extcap/sshdump
-usr/lib/wireshark/extcap/udpdump
-usr/lib/wireshark/extcap/wifidump
 #usr/lib/wireshark/plugins
-usr/lib/wireshark/plugins/4.4
-usr/lib/wireshark/plugins/4.4/codecs
-usr/lib/wireshark/plugins/4.4/codecs/g711.so
-usr/lib/wireshark/plugins/4.4/codecs/l16mono.so
-usr/lib/wireshark/plugins/4.4/codecs/opus_dec.so
-usr/lib/wireshark/plugins/4.4/epan
-usr/lib/wireshark/plugins/4.4/epan/ethercat.so
-usr/lib/wireshark/plugins/4.4/epan/gryphon.so
-usr/lib/wireshark/plugins/4.4/epan/ipaddr.so
-usr/lib/wireshark/plugins/4.4/epan/irda.so
-usr/lib/wireshark/plugins/4.4/epan/mate.so
-usr/lib/wireshark/plugins/4.4/epan/opcua.so
-usr/lib/wireshark/plugins/4.4/epan/profinet.so
-usr/lib/wireshark/plugins/4.4/epan/stats_tree.so
-usr/lib/wireshark/plugins/4.4/epan/transum.so
-usr/lib/wireshark/plugins/4.4/epan/unistim.so
-usr/lib/wireshark/plugins/4.4/epan/wimax.so
-usr/lib/wireshark/plugins/4.4/epan/wimaxasncp.so
-usr/lib/wireshark/plugins/4.4/epan/wimaxmacphy.so
-usr/lib/wireshark/plugins/4.4/wiretap
-usr/lib/wireshark/plugins/4.4/wiretap/usbdump.so
+usr/lib/wireshark/plugins/4.6
+usr/lib/wireshark/plugins/4.6/codecs
+usr/lib/wireshark/plugins/4.6/codecs/g711.so
+usr/lib/wireshark/plugins/4.6/codecs/l16mono.so
+usr/lib/wireshark/plugins/4.6/codecs/opus_dec.so
+usr/lib/wireshark/plugins/4.6/epan
+usr/lib/wireshark/plugins/4.6/epan/ethercat.so
+usr/lib/wireshark/plugins/4.6/epan/gryphon.so
+usr/lib/wireshark/plugins/4.6/epan/ipaddr.so
+usr/lib/wireshark/plugins/4.6/epan/irda.so
+usr/lib/wireshark/plugins/4.6/epan/mate.so
+usr/lib/wireshark/plugins/4.6/epan/opcua.so
+usr/lib/wireshark/plugins/4.6/epan/profinet.so
+usr/lib/wireshark/plugins/4.6/epan/stats_tree.so
+usr/lib/wireshark/plugins/4.6/epan/transum.so
+usr/lib/wireshark/plugins/4.6/epan/unistim.so
+usr/lib/wireshark/plugins/4.6/epan/wimax.so
+usr/lib/wireshark/plugins/4.6/epan/wimaxasncp.so
+usr/lib/wireshark/plugins/4.6/epan/wimaxmacphy.so
+usr/lib/wireshark/plugins/4.6/wiretap
+usr/lib/wireshark/plugins/4.6/wiretap/usbdump.so
+usr/libexec/wireshark
+usr/libexec/wireshark/extcap
+usr/libexec/wireshark/extcap/androiddump
+usr/libexec/wireshark/extcap/ciscodump
+usr/libexec/wireshark/extcap/dpauxmon
+usr/libexec/wireshark/extcap/randpktdump
+usr/libexec/wireshark/extcap/sshdump
+usr/libexec/wireshark/extcap/udpdump
+usr/libexec/wireshark/extcap/wifidump
 #usr/share/doc/wireshark
 #usr/share/doc/wireshark/COPYING
 #usr/share/doc/wireshark/README.xml-output
+#usr/share/doc/wireshark/Stratoshark Release Notes.html
+#usr/share/doc/wireshark/Wireshark Release Notes.html
 #usr/share/doc/wireshark/androiddump.html
 #usr/share/doc/wireshark/capinfos.html
 #usr/share/doc/wireshark/captype.html
@@ -68,9 +70,11 @@ usr/lib/wireshark/plugins/4.4/wiretap/usbdump.so
 #usr/share/doc/wireshark/randpkt.html
 #usr/share/doc/wireshark/randpktdump.html
 #usr/share/doc/wireshark/rawshark.html
-#usr/share/doc/wireshark/release-notes.html
 #usr/share/doc/wireshark/reordercap.html
+#usr/share/doc/wireshark/sshdig.html
 #usr/share/doc/wireshark/sshdump.html
+#usr/share/doc/wireshark/strato.html
+#usr/share/doc/wireshark/stratoshark.html
 #usr/share/doc/wireshark/text2pcap.html
 #usr/share/doc/wireshark/tshark.html
 #usr/share/doc/wireshark/udpdump.html
@@ -92,7 +96,10 @@ usr/lib/wireshark/plugins/4.4/wiretap/usbdump.so
 #usr/share/man/man1/randpktdump.1
 #usr/share/man/man1/rawshark.1
 #usr/share/man/man1/reordercap.1
+#usr/share/man/man1/sshdig.1
 #usr/share/man/man1/sshdump.1
+#usr/share/man/man1/strato.1
+#usr/share/man/man1/stratoshark.1
 #usr/share/man/man1/text2pcap.1
 #usr/share/man/man1/tshark.1
 #usr/share/man/man1/udpdump.1
@@ -108,7 +115,6 @@ usr/share/wireshark/dfilters
 usr/share/wireshark/diameter/AlcatelLucent.xml
 usr/share/wireshark/diameter/Cisco.xml
 usr/share/wireshark/diameter/CiscoSystems.xml
-usr/share/wireshark/diameter/Custom.xml
 usr/share/wireshark/diameter/Ericsson.xml
 usr/share/wireshark/diameter/HP.xml
 usr/share/wireshark/diameter/Huawei.xml
@@ -129,6 +135,7 @@ usr/share/wireshark/diameter/VerizonWireless.xml
 usr/share/wireshark/diameter/Vodafone.xml
 usr/share/wireshark/diameter/chargecontrol.xml
 usr/share/wireshark/diameter/dictionary.dtd
+usr/share/wireshark/diameter/dictionary.ent
 usr/share/wireshark/diameter/dictionary.xml
 usr/share/wireshark/diameter/eap.xml
 usr/share/wireshark/diameter/etsie2e4.xml
@@ -193,6 +200,7 @@ usr/share/wireshark/radius/dictionary.arista
 usr/share/wireshark/radius/dictionary.aruba
 usr/share/wireshark/radius/dictionary.ascend
 usr/share/wireshark/radius/dictionary.ascend.illegal
+usr/share/wireshark/radius/dictionary.ascend.illegal.extended
 usr/share/wireshark/radius/dictionary.asn
 usr/share/wireshark/radius/dictionary.audiocodes
 usr/share/wireshark/radius/dictionary.avaya
@@ -270,6 +278,7 @@ usr/share/wireshark/radius/dictionary.iea
 usr/share/wireshark/radius/dictionary.infinera
 usr/share/wireshark/radius/dictionary.infoblox
 usr/share/wireshark/radius/dictionary.infonet
+usr/share/wireshark/radius/dictionary.ingate
 usr/share/wireshark/radius/dictionary.ipunplugged
 usr/share/wireshark/radius/dictionary.issanni
 usr/share/wireshark/radius/dictionary.itk
diff --git a/lfs/tshark b/lfs/tshark
index 6f88045c6..5760f94eb 100644
--- a/lfs/tshark
+++ b/lfs/tshark
@@ -26,7 +26,7 @@ include Config
 
 SUMMARY    = A Network Traffic Analyser
 
-VER        = 4.4.9
+VER        = 4.6.0
 
 THISAPP    = wireshark-$(VER)
 DL_FILE    = $(THISAPP).tar.xz
@@ -35,7 +35,7 @@ DIR_APP    = $(DIR_SRC)/$(THISAPP)
 TARGET     = $(DIR_INFO)/$(THISAPP)
 PROG       = tshark
 DEPS       = c-ares
-PAK_VER    = 27
+PAK_VER    = 28
 
 SERVICES   =
 
@@ -47,7 +47,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_BLAKE2 = e3a9b959087f720d6ea76205d5a3fc69227a484998ce964ce3c0ecfd0dfb974b7035f7f026830e08c5bed38051a3c977717d3dffcdc2169d5bcaf6022f19e9de
+$(DL_FILE)_BLAKE2 = df4245158422dae95bb6a68d8093cf5d1456290f25a8b8f664e6f9bf7f70661fc881e100c48c616ca077621dbb0ff55a5b14c1e385e8b6d52a7dc2d7fd1acd0a
 
 install : $(TARGET)
 