diff --git a/config/rootfiles/common/vim b/config/rootfiles/common/vim
index e9108e17b..00e5ae3b2 100644
--- a/config/rootfiles/common/vim
+++ b/config/rootfiles/common/vim
@@ -92,6 +92,8 @@ usr/share/vim
 #usr/share/vim/vim91/autoload/typeset.vim
 #usr/share/vim/vim91/autoload/typst.vim
 #usr/share/vim/vim91/autoload/vimball.vim
+#usr/share/vim/vim91/autoload/vimcomplete.vim
+#usr/share/vim/vim91/autoload/vimgoto.vim
 #usr/share/vim/vim91/autoload/xml
 #usr/share/vim/vim91/autoload/xml/html32.vim
 #usr/share/vim/vim91/autoload/xml/html401f.vim
@@ -222,6 +224,7 @@ usr/share/vim
 #usr/share/vim/vim91/compiler/perl.vim
 #usr/share/vim/vim91/compiler/perlcritic.vim
 #usr/share/vim/vim91/compiler/php.vim
+#usr/share/vim/vim91/compiler/phpstan.vim
 #usr/share/vim/vim91/compiler/pip_compile.vim
 #usr/share/vim/vim91/compiler/podchecker.vim
 #usr/share/vim/vim91/compiler/powershell.vim
@@ -429,6 +432,7 @@ usr/share/vim
 #usr/share/vim/vim91/doc/vim9.txt
 #usr/share/vim/vim91/doc/vim9class.txt
 #usr/share/vim/vim91/doc/visual.txt
+#usr/share/vim/vim91/doc/wayland.txt
 #usr/share/vim/vim91/doc/windows.txt
 #usr/share/vim/vim91/doc/workshop.txt
 #usr/share/vim/vim91/evim.vim
@@ -458,6 +462,7 @@ usr/share/vim
 #usr/share/vim/vim91/ftplugin/asy.vim
 #usr/share/vim/vim91/ftplugin/autohotkey.vim
 #usr/share/vim/vim91/ftplugin/automake.vim
+#usr/share/vim/vim91/ftplugin/autopkgtest.vim
 #usr/share/vim/vim91/ftplugin/awk.vim
 #usr/share/vim/vim91/ftplugin/bash.vim
 #usr/share/vim/vim91/ftplugin/basic.vim
@@ -465,6 +470,8 @@ usr/share/vim
 #usr/share/vim/vim91/ftplugin/bindzone.vim
 #usr/share/vim/vim91/ftplugin/bitbake.vim
 #usr/share/vim/vim91/ftplugin/bp.vim
+#usr/share/vim/vim91/ftplugin/brighterscript.vim
+#usr/share/vim/vim91/ftplugin/brightscript.vim
 #usr/share/vim/vim91/ftplugin/bst.vim
 #usr/share/vim/vim91/ftplugin/btm.vim
 #usr/share/vim/vim91/ftplugin/bzl.vim
@@ -484,6 +491,7 @@ usr/share/vim
 #usr/share/vim/vim91/ftplugin/cmake.vim
 #usr/share/vim/vim91/ftplugin/cmakecache.vim
 #usr/share/vim/vim91/ftplugin/cobol.vim
+#usr/share/vim/vim91/ftplugin/codeowners.vim
 #usr/share/vim/vim91/ftplugin/conf.vim
 #usr/share/vim/vim91/ftplugin/config.vim
 #usr/share/vim/vim91/ftplugin/confini.vim
@@ -535,6 +543,7 @@ usr/share/vim
 #usr/share/vim/vim91/ftplugin/falcon.vim
 #usr/share/vim/vim91/ftplugin/fennel.vim
 #usr/share/vim/vim91/ftplugin/fetchmail.vim
+#usr/share/vim/vim91/ftplugin/fga.vim
 #usr/share/vim/vim91/ftplugin/fish.vim
 #usr/share/vim/vim91/ftplugin/flexwiki.vim
 #usr/share/vim/vim91/ftplugin/forth.vim
@@ -611,6 +620,7 @@ usr/share/vim
 #usr/share/vim/vim91/ftplugin/karel.vim
 #usr/share/vim/vim91/ftplugin/kconfig.vim
 #usr/share/vim/vim91/ftplugin/kdl.vim
+#usr/share/vim/vim91/ftplugin/kerml.vim
 #usr/share/vim/vim91/ftplugin/kivy.vim
 #usr/share/vim/vim91/ftplugin/kotlin.vim
 #usr/share/vim/vim91/ftplugin/kwt.vim
@@ -689,6 +699,7 @@ usr/share/vim
 #usr/share/vim/vim91/ftplugin/odin.vim
 #usr/share/vim/vim91/ftplugin/ondir.vim
 #usr/share/vim/vim91/ftplugin/opencl.vim
+#usr/share/vim/vim91/ftplugin/openscad.vim
 #usr/share/vim/vim91/ftplugin/openvpn.vim
 #usr/share/vim/vim91/ftplugin/org.vim
 #usr/share/vim/vim91/ftplugin/pamconf.vim
@@ -699,6 +710,7 @@ usr/share/vim
 #usr/share/vim/vim91/ftplugin/perl.vim
 #usr/share/vim/vim91/ftplugin/php.vim
 #usr/share/vim/vim91/ftplugin/pinfo.vim
+#usr/share/vim/vim91/ftplugin/pkl.vim
 #usr/share/vim/vim91/ftplugin/plaintex.vim
 #usr/share/vim/vim91/ftplugin/plsql.vim
 #usr/share/vim/vim91/ftplugin/pod.vim
@@ -786,6 +798,7 @@ usr/share/vim
 #usr/share/vim/vim91/ftplugin/swiftgyb.vim
 #usr/share/vim/vim91/ftplugin/swig.vim
 #usr/share/vim/vim91/ftplugin/sysctl.vim
+#usr/share/vim/vim91/ftplugin/sysml.vim
 #usr/share/vim/vim91/ftplugin/systemd.vim
 #usr/share/vim/vim91/ftplugin/systemverilog.vim
 #usr/share/vim/vim91/ftplugin/tap.vim
@@ -805,9 +818,11 @@ usr/share/vim
 #usr/share/vim/vim91/ftplugin/treetop.vim
 #usr/share/vim/vim91/ftplugin/tt2html.vim
 #usr/share/vim/vim91/ftplugin/tutor.vim
+#usr/share/vim/vim91/ftplugin/twig.vim
 #usr/share/vim/vim91/ftplugin/typescript.vim
 #usr/share/vim/vim91/ftplugin/typescriptreact.vim
 #usr/share/vim/vim91/ftplugin/typst.vim
+#usr/share/vim/vim91/ftplugin/uc.vim
 #usr/share/vim/vim91/ftplugin/uci.vim
 #usr/share/vim/vim91/ftplugin/udevconf.vim
 #usr/share/vim/vim91/ftplugin/udevperm.vim
@@ -953,6 +968,7 @@ usr/share/vim
 #usr/share/vim/vim91/indent/mp.vim
 #usr/share/vim/vim91/indent/nginx.vim
 #usr/share/vim/vim91/indent/nsis.vim
+#usr/share/vim/vim91/indent/nu.vim
 #usr/share/vim/vim91/indent/objc.vim
 #usr/share/vim/vim91/indent/obse.vim
 #usr/share/vim/vim91/indent/ocaml.vim
@@ -1107,7 +1123,6 @@ usr/share/vim
 #usr/share/vim/vim91/pack/dist/opt/editorconfig/doc/tags
 #usr/share/vim/vim91/pack/dist/opt/editorconfig/ftdetect
 #usr/share/vim/vim91/pack/dist/opt/editorconfig/ftdetect/editorconfig.vim
-#usr/share/vim/vim91/pack/dist/opt/editorconfig/mkzip.sh
 #usr/share/vim/vim91/pack/dist/opt/editorconfig/plugin
 #usr/share/vim/vim91/pack/dist/opt/editorconfig/plugin/editorconfig.vim
 #usr/share/vim/vim91/pack/dist/opt/helptoc
@@ -1141,7 +1156,6 @@ usr/share/vim
 #usr/share/vim/vim91/pack/dist/opt/netrw/autoload/netrw/fs.vim
 #usr/share/vim/vim91/pack/dist/opt/netrw/autoload/netrw/msg.vim
 #usr/share/vim/vim91/pack/dist/opt/netrw/autoload/netrw/os.vim
-#usr/share/vim/vim91/pack/dist/opt/netrw/autoload/netrwSettings.vim
 #usr/share/vim/vim91/pack/dist/opt/netrw/autoload/netrw_gitignore.vim
 #usr/share/vim/vim91/pack/dist/opt/netrw/doc
 #usr/share/vim/vim91/pack/dist/opt/netrw/doc/netrw.txt
@@ -1273,6 +1287,7 @@ usr/share/vim
 #usr/share/vim/vim91/syntax/autohotkey.vim
 #usr/share/vim/vim91/syntax/autoit.vim
 #usr/share/vim/vim91/syntax/automake.vim
+#usr/share/vim/vim91/syntax/autopkgtest.vim
 #usr/share/vim/vim91/syntax/ave.vim
 #usr/share/vim/vim91/syntax/avra.vim
 #usr/share/vim/vim91/syntax/awk.vim
@@ -1297,6 +1312,7 @@ usr/share/vim
 #usr/share/vim/vim91/syntax/cabalconfig.vim
 #usr/share/vim/vim91/syntax/cabalproject.vim
 #usr/share/vim/vim91/syntax/calendar.vim
+#usr/share/vim/vim91/syntax/cangjie.vim
 #usr/share/vim/vim91/syntax/catalog.vim
 #usr/share/vim/vim91/syntax/cdl.vim
 #usr/share/vim/vim91/syntax/cdrdaoconf.vim
@@ -1326,6 +1342,7 @@ usr/share/vim
 #usr/share/vim/vim91/syntax/cmusrc.vim
 #usr/share/vim/vim91/syntax/cobol.vim
 #usr/share/vim/vim91/syntax/coco.vim
+#usr/share/vim/vim91/syntax/codeowners.vim
 #usr/share/vim/vim91/syntax/colortest.vim
 #usr/share/vim/vim91/syntax/conaryrecipe.vim
 #usr/share/vim/vim91/syntax/conf.vim
@@ -1544,6 +1561,7 @@ usr/share/vim
 #usr/share/vim/vim91/syntax/karel.vim
 #usr/share/vim/vim91/syntax/kconfig.vim
 #usr/share/vim/vim91/syntax/kdl.vim
+#usr/share/vim/vim91/syntax/kitty.vim
 #usr/share/vim/vim91/syntax/kivy.vim
 #usr/share/vim/vim91/syntax/kix.vim
 #usr/share/vim/vim91/syntax/kotlin.vim
@@ -1573,6 +1591,7 @@ usr/share/vim
 #usr/share/vim/vim91/syntax/livebook.vim
 #usr/share/vim/vim91/syntax/lnk.vim
 #usr/share/vim/vim91/syntax/lnkmap.vim
+#usr/share/vim/vim91/syntax/log.vim
 #usr/share/vim/vim91/syntax/loginaccess.vim
 #usr/share/vim/vim91/syntax/logindefs.vim
 #usr/share/vim/vim91/syntax/logtalk.vim
@@ -1662,6 +1681,7 @@ usr/share/vim
 #usr/share/vim/vim91/syntax/nqc.vim
 #usr/share/vim/vim91/syntax/nroff.vim
 #usr/share/vim/vim91/syntax/nsis.vim
+#usr/share/vim/vim91/syntax/nu.vim
 #usr/share/vim/vim91/syntax/obj.vim
 #usr/share/vim/vim91/syntax/objc.vim
 #usr/share/vim/vim91/syntax/objcpp.vim
@@ -1700,6 +1720,7 @@ usr/share/vim
 #usr/share/vim/vim91/syntax/pilrc.vim
 #usr/share/vim/vim91/syntax/pine.vim
 #usr/share/vim/vim91/syntax/pinfo.vim
+#usr/share/vim/vim91/syntax/pkl.vim
 #usr/share/vim/vim91/syntax/plaintex.vim
 #usr/share/vim/vim91/syntax/pli.vim
 #usr/share/vim/vim91/syntax/plm.vim
@@ -1809,6 +1830,7 @@ usr/share/vim
 #usr/share/vim/vim91/syntax/shared/context-data-interfaces.vim
 #usr/share/vim/vim91/syntax/shared/context-data-metafun.vim
 #usr/share/vim/vim91/syntax/shared/context-data-tex.vim
+#usr/share/vim/vim91/syntax/shared/debarchitectures.vim
 #usr/share/vim/vim91/syntax/shared/debversions.vim
 #usr/share/vim/vim91/syntax/shared/hgcommitDiff.vim
 #usr/share/vim/vim91/syntax/shared/typescriptcommon.vim
@@ -2023,9 +2045,8 @@ usr/share/vim
 #usr/share/vim/vim91/tools/vimspell.txt
 #usr/share/vim/vim91/tools/xcmdsrv_client.c
 #usr/share/vim/vim91/tutor
-#usr/share/vim/vim91/tutor/README.el.cp737.txt
 #usr/share/vim/vim91/tutor/README.el.txt
-#usr/share/vim/vim91/tutor/README.ru.utf-8.txt
+#usr/share/vim/vim91/tutor/README.ru.txt
 #usr/share/vim/vim91/tutor/README.txt
 #usr/share/vim/vim91/tutor/en
 #usr/share/vim/vim91/tutor/en/vim-01-beginner.tutor
@@ -2050,81 +2071,41 @@ usr/share/vim
 #usr/share/vim/vim91/tutor/tutor.vim
 #usr/share/vim/vim91/tutor/tutor1
 #usr/share/vim/vim91/tutor/tutor1.bar
-#usr/share/vim/vim91/tutor/tutor1.bar.utf-8
-#usr/share/vim/vim91/tutor/tutor1.bg.utf-8
+#usr/share/vim/vim91/tutor/tutor1.bg
 #usr/share/vim/vim91/tutor/tutor1.ca
-#usr/share/vim/vim91/tutor/tutor1.ca.utf-8
 #usr/share/vim/vim91/tutor/tutor1.cs
-#usr/share/vim/vim91/tutor/tutor1.cs.cp1250
-#usr/share/vim/vim91/tutor/tutor1.cs.utf-8
 #usr/share/vim/vim91/tutor/tutor1.da
-#usr/share/vim/vim91/tutor/tutor1.da.utf-8
 #usr/share/vim/vim91/tutor/tutor1.de
-#usr/share/vim/vim91/tutor/tutor1.de.utf-8
 #usr/share/vim/vim91/tutor/tutor1.el
-#usr/share/vim/vim91/tutor/tutor1.el.cp737
-#usr/share/vim/vim91/tutor/tutor1.el.utf-8
 #usr/share/vim/vim91/tutor/tutor1.eo
-#usr/share/vim/vim91/tutor/tutor1.eo.utf-8
 #usr/share/vim/vim91/tutor/tutor1.es
-#usr/share/vim/vim91/tutor/tutor1.es.utf-8
 #usr/share/vim/vim91/tutor/tutor1.fr
-#usr/share/vim/vim91/tutor/tutor1.fr.utf-8
 #usr/share/vim/vim91/tutor/tutor1.gl
-#usr/share/vim/vim91/tutor/tutor1.gl.utf-8
 #usr/share/vim/vim91/tutor/tutor1.hr
-#usr/share/vim/vim91/tutor/tutor1.hr.cp1250
-#usr/share/vim/vim91/tutor/tutor1.hr.utf-8
 #usr/share/vim/vim91/tutor/tutor1.hu
-#usr/share/vim/vim91/tutor/tutor1.hu.cp1250
-#usr/share/vim/vim91/tutor/tutor1.hu.utf-8
 #usr/share/vim/vim91/tutor/tutor1.it
-#usr/share/vim/vim91/tutor/tutor1.it.utf-8
-#usr/share/vim/vim91/tutor/tutor1.ja.euc
-#usr/share/vim/vim91/tutor/tutor1.ja.sjis
-#usr/share/vim/vim91/tutor/tutor1.ja.utf-8
+#usr/share/vim/vim91/tutor/tutor1.ja
 #usr/share/vim/vim91/tutor/tutor1.ko
-#usr/share/vim/vim91/tutor/tutor1.ko.euc
-#usr/share/vim/vim91/tutor/tutor1.ko.utf-8
-#usr/share/vim/vim91/tutor/tutor1.lt.utf-8
-#usr/share/vim/vim91/tutor/tutor1.lv.utf-8
+#usr/share/vim/vim91/tutor/tutor1.lt
+#usr/share/vim/vim91/tutor/tutor1.lv
 #usr/share/vim/vim91/tutor/tutor1.nb
-#usr/share/vim/vim91/tutor/tutor1.nb.utf-8
 #usr/share/vim/vim91/tutor/tutor1.nl
-#usr/share/vim/vim91/tutor/tutor1.nl.utf-8
 #usr/share/vim/vim91/tutor/tutor1.no
-#usr/share/vim/vim91/tutor/tutor1.no.utf-8
 #usr/share/vim/vim91/tutor/tutor1.pl
-#usr/share/vim/vim91/tutor/tutor1.pl.cp1250
-#usr/share/vim/vim91/tutor/tutor1.pl.utf-8
 #usr/share/vim/vim91/tutor/tutor1.pt
-#usr/share/vim/vim91/tutor/tutor1.pt.utf-8
 #usr/share/vim/vim91/tutor/tutor1.ru
-#usr/share/vim/vim91/tutor/tutor1.ru.cp1251
-#usr/share/vim/vim91/tutor/tutor1.ru.utf-8
 #usr/share/vim/vim91/tutor/tutor1.sk
-#usr/share/vim/vim91/tutor/tutor1.sk.cp1250
-#usr/share/vim/vim91/tutor/tutor1.sk.utf-8
-#usr/share/vim/vim91/tutor/tutor1.sr.cp1250
-#usr/share/vim/vim91/tutor/tutor1.sr.utf-8
+#usr/share/vim/vim91/tutor/tutor1.sr
 #usr/share/vim/vim91/tutor/tutor1.sv
-#usr/share/vim/vim91/tutor/tutor1.sv.utf-8
-#usr/share/vim/vim91/tutor/tutor1.tr.iso9
-#usr/share/vim/vim91/tutor/tutor1.tr.utf-8
-#usr/share/vim/vim91/tutor/tutor1.uk.utf-8
-#usr/share/vim/vim91/tutor/tutor1.utf-8
-#usr/share/vim/vim91/tutor/tutor1.vi.utf-8
-#usr/share/vim/vim91/tutor/tutor1.zh.big5
-#usr/share/vim/vim91/tutor/tutor1.zh.euc
-#usr/share/vim/vim91/tutor/tutor1.zh.utf-8
-#usr/share/vim/vim91/tutor/tutor1.zh_cn.utf-8
-#usr/share/vim/vim91/tutor/tutor1.zh_tw.utf-8
+#usr/share/vim/vim91/tutor/tutor1.tr
+#usr/share/vim/vim91/tutor/tutor1.uk
+#usr/share/vim/vim91/tutor/tutor1.vi
+#usr/share/vim/vim91/tutor/tutor1.zh_cn
+#usr/share/vim/vim91/tutor/tutor1.zh_tw
 #usr/share/vim/vim91/tutor/tutor2
+#usr/share/vim/vim91/tutor/tutor2.fr
 #usr/share/vim/vim91/tutor/tutor2.gl
-#usr/share/vim/vim91/tutor/tutor2.gl.utf-8
 #usr/share/vim/vim91/tutor/tutor2.it
-#usr/share/vim/vim91/tutor/tutor2.it.utf-8
-#usr/share/vim/vim91/tutor/tutor2.ru.utf-8
-#usr/share/vim/vim91/tutor/tutor2.sr.utf-8
-#usr/share/vim/vim91/tutor/tutor2.utf-8
+#usr/share/vim/vim91/tutor/tutor2.ru
+#usr/share/vim/vim91/tutor/tutor2.sr
 #usr/share/vim/vim91/vimrc_example.vim
diff --git a/lfs/vim b/lfs/vim
index 574e3432c..7c4d0d115 100644
--- a/lfs/vim
+++ b/lfs/vim
@@ -24,7 +24,7 @@
 
 include Config
 
-VER        = 9.1.1406
+VER        = 9.1.1854
 
 THISAPP    = vim-$(VER)
 DL_FILE    = $(THISAPP).tar.gz
@@ -44,7 +44,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_BLAKE2 = e50d541d6e8a0cb7a332a3a09ff1794f7cd347b16f76bc3b71645d28eddb1472683b4be7a307653cce0a2a79c7c7703383bc481dae6d35818b9179f9be14926d
+$(DL_FILE)_BLAKE2 = a5469910c381392b80c98c60d6c826b88c42bf0d8815f080297fbca44d9159fcfa2af79a3d5f1766c800d19ccb929979847dbe3677af95e448986cd88eefc2f3
 
 install : $(TARGET)
 