diff --git a/config/rootfiles/packages/ffmpeg b/config/rootfiles/packages/ffmpeg
index a7b42dc0c..ed3768c66 100644
--- a/config/rootfiles/packages/ffmpeg
+++ b/config/rootfiles/packages/ffmpeg
@@ -6,7 +6,6 @@ usr/bin/ffprobe
 #usr/include/libavcodec/adts_parser.h
 #usr/include/libavcodec/avcodec.h
 #usr/include/libavcodec/avdct.h
-#usr/include/libavcodec/avfft.h
 #usr/include/libavcodec/bsf.h
 #usr/include/libavcodec/codec.h
 #usr/include/libavcodec/codec_desc.h
@@ -21,6 +20,7 @@ usr/bin/ffprobe
 #usr/include/libavcodec/mediacodec.h
 #usr/include/libavcodec/packet.h
 #usr/include/libavcodec/qsv.h
+#usr/include/libavcodec/smpte_436m.h
 #usr/include/libavcodec/vdpau.h
 #usr/include/libavcodec/version.h
 #usr/include/libavcodec/version_major.h
@@ -61,6 +61,7 @@ usr/bin/ffprobe
 #usr/include/libavutil/cast5.h
 #usr/include/libavutil/channel_layout.h
 #usr/include/libavutil/common.h
+#usr/include/libavutil/container_fifo.h
 #usr/include/libavutil/cpu.h
 #usr/include/libavutil/crc.h
 #usr/include/libavutil/csp.h
@@ -84,12 +85,14 @@ usr/bin/ffprobe
 #usr/include/libavutil/hdr_dynamic_vivid_metadata.h
 #usr/include/libavutil/hmac.h
 #usr/include/libavutil/hwcontext.h
+#usr/include/libavutil/hwcontext_amf.h
 #usr/include/libavutil/hwcontext_cuda.h
 #usr/include/libavutil/hwcontext_d3d11va.h
 #usr/include/libavutil/hwcontext_d3d12va.h
 #usr/include/libavutil/hwcontext_drm.h
 #usr/include/libavutil/hwcontext_dxva2.h
 #usr/include/libavutil/hwcontext_mediacodec.h
+#usr/include/libavutil/hwcontext_oh.h
 #usr/include/libavutil/hwcontext_opencl.h
 #usr/include/libavutil/hwcontext_qsv.h
 #usr/include/libavutil/hwcontext_vaapi.h
@@ -118,6 +121,7 @@ usr/bin/ffprobe
 #usr/include/libavutil/random_seed.h
 #usr/include/libavutil/rational.h
 #usr/include/libavutil/rc4.h
+#usr/include/libavutil/refstruct.h
 #usr/include/libavutil/replaygain.h
 #usr/include/libavutil/ripemd.h
 #usr/include/libavutil/samplefmt.h
@@ -125,6 +129,7 @@ usr/bin/ffprobe
 #usr/include/libavutil/sha512.h
 #usr/include/libavutil/spherical.h
 #usr/include/libavutil/stereo3d.h
+#usr/include/libavutil/tdrdi.h
 #usr/include/libavutil/tea.h
 #usr/include/libavutil/threadmessage.h
 #usr/include/libavutil/time.h
@@ -138,10 +143,6 @@ usr/bin/ffprobe
 #usr/include/libavutil/video_enc_params.h
 #usr/include/libavutil/video_hint.h
 #usr/include/libavutil/xtea.h
-#usr/include/libpostproc
-#usr/include/libpostproc/postprocess.h
-#usr/include/libpostproc/version.h
-#usr/include/libpostproc/version_major.h
 #usr/include/libswresample
 #usr/include/libswresample/swresample.h
 #usr/include/libswresample/version.h
@@ -151,35 +152,31 @@ usr/bin/ffprobe
 #usr/include/libswscale/version.h
 #usr/include/libswscale/version_major.h
 #usr/lib/libavcodec.so
-usr/lib/libavcodec.so.61
-usr/lib/libavcodec.so.61.19.101
+usr/lib/libavcodec.so.62
+usr/lib/libavcodec.so.62.11.100
 #usr/lib/libavdevice.so
-usr/lib/libavdevice.so.61
-usr/lib/libavdevice.so.61.3.100
+usr/lib/libavdevice.so.62
+usr/lib/libavdevice.so.62.1.100
 #usr/lib/libavfilter.so
-usr/lib/libavfilter.so.10
-usr/lib/libavfilter.so.10.4.100
+usr/lib/libavfilter.so.11
+usr/lib/libavfilter.so.11.4.100
 #usr/lib/libavformat.so
-usr/lib/libavformat.so.61
-usr/lib/libavformat.so.61.7.100
+usr/lib/libavformat.so.62
+usr/lib/libavformat.so.62.3.100
 #usr/lib/libavutil.so
-usr/lib/libavutil.so.59
-usr/lib/libavutil.so.59.39.100
-#usr/lib/libpostproc.so
-usr/lib/libpostproc.so.58
-usr/lib/libpostproc.so.58.3.100
+usr/lib/libavutil.so.60
+usr/lib/libavutil.so.60.8.100
 #usr/lib/libswresample.so
-usr/lib/libswresample.so.5
-usr/lib/libswresample.so.5.3.100
+usr/lib/libswresample.so.6
+usr/lib/libswresample.so.6.1.100
 #usr/lib/libswscale.so
-usr/lib/libswscale.so.8
-usr/lib/libswscale.so.8.3.100
+usr/lib/libswscale.so.9
+usr/lib/libswscale.so.9.1.100
 #usr/lib/pkgconfig/libavcodec.pc
 #usr/lib/pkgconfig/libavdevice.pc
 #usr/lib/pkgconfig/libavfilter.pc
 #usr/lib/pkgconfig/libavformat.pc
 #usr/lib/pkgconfig/libavutil.pc
-#usr/lib/pkgconfig/libpostproc.pc
 #usr/lib/pkgconfig/libswresample.pc
 #usr/lib/pkgconfig/libswscale.pc
 #usr/share/ffmpeg
diff --git a/lfs/ffmpeg b/lfs/ffmpeg
index 2af29359f..28a697eee 100644
--- a/lfs/ffmpeg
+++ b/lfs/ffmpeg
@@ -26,7 +26,7 @@ include Config
 
 SUMMARY	   = Library for working with various multimedia formats
 
-VER        = 7.1.1
+VER        = 8.0
 
 THISAPP    = ffmpeg-$(VER)
 DL_FILE    = $(THISAPP).tar.xz
@@ -34,7 +34,7 @@ DL_FROM    = $(URL_IPFIRE)
 DIR_APP    = $(DIR_SRC)/$(THISAPP)
 TARGET     = $(DIR_INFO)/$(THISAPP)
 PROG       = ffmpeg
-PAK_VER    = 20
+PAK_VER    = 21
 
 DEPS       = sdl2 lame libvorbis
 
@@ -52,7 +52,7 @@ objects = $(DL_FILE)
 
 $(DL_FILE) = $(DL_FROM)/$(DL_FILE)
 
-$(DL_FILE)_BLAKE2 = 85d1850bfa39ec28d358b5454daa7c1cf8580af73a6f83e7c070ea94db40ad485adbaeb89e886e0b3908e0f1765bd9f2b40ddd838e33e0a76e5b286917535310
+$(DL_FILE)_BLAKE2 = 8c45093665131e9aef07cc49726a2de008760728723cf9ee1833fe0697624ca2572c13eb319bd567b79fcb2db110b73fbbf0889237c10fc589d6f895a0e5aa88
 
 install : $(TARGET)
 